package jalview.ext.ensembl;

import java.lang.reflect.Method;

import org.testng.Assert;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;


public class EnsemblSeqProxyTest
{
  @DataProvider(name = "queries")
  public Object[][] createData(Method m)
  {
    return new Object[][] { { "CCDS5863.1" }, { "ENSP00000288602" } };
  }

  @Test(dataProvider = "queries")
  public void testIsValidReference(String query) throws Exception
  {
    EnsemblSeqProxy esq = new EnsemblProtein();
    Assert.assertTrue(esq.isValidReference(query),
            "Expected reference string " + query
                    + " to be valid for regex "
                    + esq.getAccessionValidator().toString());
  }
}